package com.liangjian.dataplatform.member.dao.primary;

import com.liangjian.dataplatform.member.dao.JpaLifeCycleRepository;
import com.liangjian.dataplatform.member.entity.po.primary.JobInfo;

import java.util.List;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/9 12:01
 */
public interface JobInfoRepository extends JpaLifeCycleRepository<JobInfo,String> {

    List<JobInfo> queryByNameLike(String name);

    List<JobInfo> queryByRepeats(boolean isRepeat);

    List<JobInfo> queryByActive(boolean active);

    JobInfo queryById(String id);
}